Description: Hide symbols by default when compiled with GCC (>= 4).
Author: Fabian Greffrath <fabian+debian@greffrath.com>

--- libdvdcss-1.2.11.orig/src/Makefile.am
+++ libdvdcss-1.2.11/src/Makefile.am
@@ -14,6 +14,7 @@ libdvdcss_la_SOURCES = \
 EXTRA_libdvdcss_la_SOURCES = \
 	$(bsdi_extras)
 
+libdvdcss_la_CFLAGS = -fvisibility=hidden
 libdvdcss_la_LIBADD = $(bsdi_libadd)
 libdvdcss_la_LDFLAGS = -version-info 3:0:1 $(libtool_flags) @DVDCSS_LDFLAGS@
 
--- libdvdcss-1.2.11.orig/src/dvdcss/dvdcss.h
+++ libdvdcss-1.2.11/src/dvdcss/dvdcss.h
@@ -60,6 +60,8 @@ typedef struct dvdcss_s* dvdcss_t;
 #define LIBDVDCSS_EXPORT __declspec(dllexport) extern
 #elif defined(LIBDVDCSS_IMPORTS)
 #define LIBDVDCSS_EXPORT __declspec(dllimport) extern
+#elif defined(__GNUC__) && __GNUC__ >= 4
+#define LIBDVDCSS_EXPORT __attribute__((visibility("default"))) extern
 #else
 #define LIBDVDCSS_EXPORT extern
 #endif
